<template>
  <div v-if="isDisplayed" class="relative">
    <div
      class="
        flex
        items-center
        absolute
        justify-center
        w-screen
        h-screen
        bg-gray-50 bg-opacity-75
      "
    >
      <div class="flex flex-col w-72 h-72 bg-white p-4">
        <h1 class="font-bold self-center mb-5">
          {{ $t(`Are you sur delete ${item.title} ?`) }}
        </h1>
        <div class="w-16 h-16 self-center">
          <img v-if="item.image" :src="item.image" :alt="item.title" />
        </div>
        <footer class="mt-auto self-end">
          <button class="mr-2" @click="cancel">{{ cancelBtn }}</button>
          <button
            @click="save"
            class="
              bg-blue-200
              opacity-100
              py-3
              px-7
              rounded-md
              hover:bg-blue-400
            "
          >
            {{ saveBtn }}
          </button>
        </footer>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { Component, Prop } from "vue-property-decorator";

@Component({})
export default class Footer extends Vue {
  @Prop({}) isDisplayed!: boolean;
  @Prop({}) item: any;
  @Prop({ default: "Cancel" }) cancelBtn!: string;
  @Prop({ default: "Save" }) saveBtn!: string;

  private cancel(): void {
    this.$emit("cancel");
  }

  private save(): void {
    this.$emit("save", this.item);
  }
}
</script>
